Project

General

Profile

Probleme de Dahdi Après la migration vers la version 17.17

Added by Gustave Camara 3 months ago

Bonjour,
Je viens de faire ma migration de 17.15 vers la 17.17 depuis j'ai des soucis Ma carte E1 , problème avec DAHDI.
lorsque je regarde les services tout est normal:
Checking services...
running rabbitmq-server
running consul
running postgresql
running nginx
running mongooseim
running dahdi
running wazo-admin-ui
running wazo-plugind
running wazo-webhookd
running xivo-sysconfd
running xivo-confgend
running xivo-confd
running wazo-auth
running wazo-call-logd
running xivo-dxtora
running xivo-provd
running xivo-agid
running asterisk
running xivo-amid
running xivo-agentd
running xivo-ctid
running xivo-dird
running xivo-dird-phoned
running xivo-ctid-ng
running xivo-websocketd
Ma carte E1 ne fonctionne plus lorsque je lance la commande dahdi_tool aucune réaction. en plus de ça j'ai constaté mes 4 chambres de conférence ne fonctionne plus, quant on compose l’extension ça se coupe automatiquement et l'erreur affiche dans la consonne est la suivante:
Parsing '/etc/asterisk/meetme.conf': Found
[Jan 12 15:41:21] Parsing '/var/tmp/exec.1515771681849315.139783728076544': Found
[Jan 12 15:41:21] WARNING[6440][C-00000003]: app_meetme.c:1654 build_conf: Unable to open DAHDI pseudo device
[Jan 12 15:41:21] Spawn extension (meetme, s, 12) exited non-zero on 'SIP/qtdrtsxz-00000006'

Comment faire réinstaller le Module DAHDI tout en sachant que l'ancien config est disponible aucune erreur?
Merci d'avance.


Replies (2)

RE: Probleme de Dahdi Après la migration vers la version 17.17 - Added by Pascal Cadotte-Michaud 3 months ago

Bonjour,

ça ressemble à un upgrade de kernel

Quel sont les sorties de ces commandes

aptitude search dahdi-linux-modules
uname -r

Pour fonctionner le module Dahdi installé doit être le même que le kernel

Si ce n'est pas le cas tu peux l'installé avec la commande suivante

apt-get update
apt-get install dahdi-linux-modules-$(uname -r)
wazo-service restart

RE: Probleme de Dahdi Après la migration vers la version 17.17 - Added by Gustave Camara 3 months ago

Bonsoir Pascal,
Voici les sorties des differentes commandes :

#aptitude search dahdi-linux-modules

i dahdi-linux-modules-3.16.0-4-amd64 - DAHDI modules for Linux (kernel 3.16.0-4-amd64).

#uname -r

3.16.0-5-amd64

j'ai installé Dahdi-linux-modules et maintenant OK.

Merci pour ton aide.
Gustave

    (1-2/2)